package org.glycoinfo.g4d.calc.calcsurface;

import java.util.HashMap;
import java.util.Map;

public class SymbolToRadius {
    private static SymbolToRadius instance = new SymbolToRadius();
    private Map<String, Double> conv;

    public static SymbolToRadius instance() {
        return instance;
    }

    public Double getRadius(String symbol) {
        return this.conv.get(symbol);
    }

    private SymbolToRadius() {
        this.conv = new HashMap<>();
        this.conv.put("H", 1.2);
        this.conv.put("HE", 1.4);
        this.conv.put("LI", 2.2);
        this.conv.put("BE", 1.9);
        this.conv.put("B", 1.8);
        this.conv.put("C", 1.7);
        this.conv.put("N", 1.6);
        this.conv.put("O", 1.55);
        this.conv.put("F", 1.5);
        this.conv.put("NE", 1.54);
        this.conv.put("NA", 2.4);
        this.conv.put("MG", 2.2);
        this.conv.put("AL", 2.1);
        this.conv.put("SI", 2.1);
        this.conv.put("P", 1.95);
        this.conv.put("S", 1.8);
        this.conv.put("CL", 1.8);
        this.conv.put("AR", 1.88);
        this.conv.put("K", 2.8);
        this.conv.put("CA", 2.4);
        this.conv.put("SC", 2.3);
        this.conv.put("TI", 2.15);
        this.conv.put("V", 2.05);
        this.conv.put("CR", 2.05);
        this.conv.put("MN", 2.05);
        this.conv.put("FE", 2.05);
        this.conv.put("CO", 2.0);
        this.conv.put("NI", 2.0);
        this.conv.put("CU", 2.0);
        this.conv.put("ZN", 2.1);
        this.conv.put("GA", 2.1);
        this.conv.put("GE", 2.1);
        this.conv.put("AS", 2.05);
        this.conv.put("SE", 1.9);
        this.conv.put("BR", 1.9);
        this.conv.put("KR", 2.02);
        this.conv.put("RB", 2.9);
        this.conv.put("SR", 2.55);
        this.conv.put("Y", 2.4);
        this.conv.put("ZR", 2.3);
        this.conv.put("NB", 2.15);
        this.conv.put("MO", 2.1);
        this.conv.put("TC", 2.05);
        this.conv.put("RU", 2.05);
        this.conv.put("RH", 2.0);
        this.conv.put("PD", 2.05);
        this.conv.put("AG", 2.1);
        this.conv.put("CD", 2.2);
        this.conv.put("IN", 2.2);
        this.conv.put("SN", 2.25);
        this.conv.put("SB", 2.2);
        this.conv.put("TE", 2.1);
        this.conv.put("I", 2.1);
        this.conv.put("XE", 2.16);
        this.conv.put("CS", 3.0);
        this.conv.put("BA", 2.7);
        this.conv.put("LA", 2.5);
        this.conv.put("CE", 2.48);
        this.conv.put("PR", 2.47);
        this.conv.put("ND", 2.45);
        this.conv.put("PM", 2.43);
        this.conv.put("SM", 2.42);
        this.conv.put("EU", 2.4);
        this.conv.put("GD", 2.38);
        this.conv.put("TB", 2.37);
        this.conv.put("DY", 2.35);
        this.conv.put("HO", 2.33);
        this.conv.put("ER", 2.32);
        this.conv.put("TM", 2.3);
        this.conv.put("YB", 2.28);
        this.conv.put("LU", 2.27);
        this.conv.put("HF", 2.25);
        this.conv.put("TA", 2.2);
        this.conv.put("W", 2.1);
        this.conv.put("RE", 2.05);
        this.conv.put("OS", 2.0);
        this.conv.put("IR", 2.0);
        this.conv.put("PT", 2.05);
        this.conv.put("AU", 2.1);
        this.conv.put("HG", 2.05);
        this.conv.put("TL", 2.2);
        this.conv.put("PB", 2.3);
        this.conv.put("BI", 2.3);
        this.conv.put("PO", 2.0);
        this.conv.put("AT", 2.0);
        this.conv.put("RN", 2.0);
        this.conv.put("FR", 2.0);
        this.conv.put("RA", 2.0);
        this.conv.put("AC", 2.0);
        this.conv.put("TH", 2.4);
        this.conv.put("PA", 2.0);
        this.conv.put("U", 2.3);
        this.conv.put("NP", 2.0);
        this.conv.put("PU", 2.0);
        this.conv.put("AM", 2.0);
        this.conv.put("CM", 2.0);
        this.conv.put("BK", 2.0);
        this.conv.put("CF", 2.0);
        this.conv.put("ES", 2.0);
        this.conv.put("FM", 2.0);
        this.conv.put("MD", 2.0);
        this.conv.put("NO", 2.0);
        this.conv.put("LR", 2.0);
        this.conv.put("RF", 2.0);
        this.conv.put("DB", 2.0);
        this.conv.put("SG", 2.0);
        this.conv.put("BH", 2.0);
        this.conv.put("HS", 2.0);
        this.conv.put("MT", 2.0);
        this.conv.put("DS", 2.0);
        this.conv.put("RG", 2.0);
        this.conv.put("CN", 2.0);
        this.conv.put("NH", 2.0);
        this.conv.put("FL", 2.0);
        this.conv.put("MC", 2.0);
        this.conv.put("LV", 2.0);
        this.conv.put("TS", 2.0);
    }
};
